summaryrefslogtreecommitdiff
path: root/dev-python/gitpython
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/gitpython')
-rw-r--r--dev-python/gitpython/Manifest2
-rw-r--r--dev-python/gitpython/gitpython-3.1.52.ebuild81
2 files changed, 83 insertions, 0 deletions
diff --git a/dev-python/gitpython/Manifest b/dev-python/gitpython/Manifest
index 733d443d692b..8399b6aa5fd3 100644
--- a/dev-python/gitpython/Manifest
+++ b/dev-python/gitpython/Manifest
@@ -1,6 +1,8 @@
DIST GitPython-3.1.50.gitbundle 11365195 BLAKE2B a1c889dd431d94ef6a70aa7c26b29fcbc2a27224a7f939422ed2fb0bc77ccd63f96adb9fffde05ea8bf7947cdf6855c7096582f6763b1a4c790ab5e00011560c SHA512 11a09d70d5ba8527d0907739b6a7c355d62692afddfcd2cc4f31f30e0546746c824b29264429676f3a5b27136945901147590e4862fab6561e30a42aac059801
DIST GitPython-3.1.51.gitbundle 11475069 BLAKE2B 42942f353b1e719d209b059d9f9047b9d6081b4b3e61e3405a526ed03215ad62ec6d8da70fd157e64631ab1a62b35bca01af531c0e1e65d875b4cfb2ffe3cdf1 SHA512 7d590c22a1ec8addd3cd0b445b1edb4ff3d7eec8fb356f9e12f768a613fadc25dbce461ac6b368ea0f9dbefba2d097e3af3fe6ea44caccd4a79ac6172e300126
+DIST GitPython-3.1.52.gitbundle 11480264 BLAKE2B 5a9368453765f664ae813d99c0db8afb5752053e908d61024945a45ad4ef0d9ff39b8cbd3ac543a3f52ef82643685ff96609d9086095ebb84e59394de8a8c361 SHA512 5df37794b755c7820fcbe2215098cb8b58e69bf98f1465d2f4cd5efd688287c229ed8734eb3f9294e660705a8b9a3bc7eec009b79db78711a824d6454e396caf
DIST gitdb-4.0.12.gitbundle 1627457 BLAKE2B 2fb730fb72f682bac9a71a2b70af6ed476f69d57e00b323e669550793bcc330bd4b71575e0d0f008ed58f39e5beb622213ce2a10df6f512f1f5536b72c77871a SHA512 2fc619f511e373ad2ee51a108057e3a558dbfd68cbd7632244d7fd7914ed5fce99c182de5542264273de642e6e7680ee9b54a6da95224c562f43cf65e325db56
DIST gitpython-3.1.50.tar.gz 219798 BLAKE2B 405dce7a580de35973d460750df020d6c6959da36b46f724d45ed369d4a2bca98afe45947f35a66ee4ca746315a501173786b2e78970945ba285cd97199503cc SHA512 f5233ddd8eec95673df7ec035bc17c0f320277fa1392dff43e44f6781954d7e8d017832ae5e7b166bce094a16859468cbe0cef65ad40b13d75b77ab9a166c7f1
DIST gitpython-3.1.51.tar.gz 223519 BLAKE2B 6f828a6a1bf0c222351d2f3c0d80107b87b82cc61c7f1b5086c98db89897e431c8310c932a9aad329dcae6b805b9b560be3bc18d1634f07639e2de8a680c36a9 SHA512 afee2f96b88f15bef46c4b2df45fd5e1eccd30609c6ba2f0ca319ff360d5b09b79167cdba8a3cf310ce42e612947329913dc4b97d79c24eb01677ef6c77be67f
+DIST gitpython-3.1.52.tar.gz 223726 BLAKE2B 64c1cf95f45e66f9801aff59cc9b18cbd42784122e96c90b0005abc175734cab98977145d26a21521dbeefc47555c2f972dc8998d5c1d4f4a3fe8b42508f04d9 SHA512 5cdf0dd635a30a516ae28400ce4267b809e9f9512594136f08a5b503dd2ffbc173f524ec48cc2e88948d638f82a2ced5c39d61e4d64923e278d5d8889346e4c9
DIST smmap-5.0.1.gitbundle 362567 BLAKE2B 72c8b48ad3250a33b94218c145c02033dee84c1da5f1eea57983a58699262d51844be675330d95c7d64924b6aeaacd4b0a57e9a5acad3be184aaad62102202e7 SHA512 9ca8386bfec25d1562cdf1c2ee85f7edb15fd3f44ecd1abbef738979f12b82f0b0f39a06589203a39f89518d981d7129e35f64f2d855cd162cd964bdd87c8d18
diff --git a/dev-python/gitpython/gitpython-3.1.52.ebuild b/dev-python/gitpython/gitpython-3.1.52.ebuild
new file mode 100644
index 000000000000..1e2b4aa78374
--- /dev/null
+++ b/dev-python/gitpython/gitpython-3.1.52.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN=GitPython
+PYTHON_COMPAT=( python3_{13..14} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+TEST_P=GitPython-${PV}
+GITDB_P=gitdb-4.0.12
+SMMAP_P=smmap-5.0.1
+
+DESCRIPTION="Library used to interact with Git repositories"
+HOMEPAGE="
+ https://github.com/gitpython-developers/GitPython/
+ https://pypi.org/project/GitPython/
+"
+SRC_URI+="
+ test? (
+ https://distfiles.gentoo.org/pub/proj/python/GitPython/${TEST_P}.gitbundle
+ https://distfiles.gentoo.org/pub/proj/python/GitPython/${GITDB_P}.gitbundle
+ https://distfiles.gentoo.org/pub/proj/python/GitPython/${SMMAP_P}.gitbundle
+ )
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
+
+RDEPEND="
+ dev-vcs/git
+ >=dev-python/gitdb-4.0.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/ddt-1.1.1[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-mock )
+distutils_enable_tests pytest
+
+src_test() {
+ git config --global user.email "travis@ci.com" || die
+ git config --global user.name "Travis Runner" || die
+
+ git clone "${DISTDIR}/${TEST_P}.gitbundle" "${T}"/test || die
+ git clone "${DISTDIR}/${GITDB_P}.gitbundle" \
+ "${T}"/test/git/ext/gitdb || die
+ git clone "${DISTDIR}/${SMMAP_P}.gitbundle" \
+ "${T}"/test/git/ext/gitdb/gitdb/ext/smmap || die
+
+ cd "${T}"/test || die
+ git rev-parse HEAD > .git/refs/remotes/origin/master || die
+ # this tries to fetch again
+ sed -i -e '/git submodule/d' init-tests-after-clone.sh || die
+ TRAVIS=1 ./init-tests-after-clone.sh || die
+ cat test/fixtures/.gitconfig >> ~/.gitconfig || die
+
+ distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # performance tests are unreliable by design
+ test/performance
+ # unimportant and problematic
+ test/test_installation.py
+ # Internet
+ test/test_quick_doc.py::QuickDoc::test_cloned_repo_object
+ # TODO
+ test/test_submodule.py::TestSubmodule::test_base_rw
+ test/test_submodule.py::TestSubmodule::test_root_module
+ )
+
+ epytest -o addopts= test
+}